module Msg exposing (..)

import Config.MapViewConfig as Map
import Config.DataTableConfig as DataTable
import Config.ForceDirectedGraph as ForceDirectedGraph
import Config.BarPlotConfig as BarPlot
import Config.LinePlotConfig as LinePlot
import Http
import Model exposing (View(..))


type Msg
    = ViewChange View
    | DataReceived (Result Http.Error String)
    | GotMap Map.Msg
    | GotDataTable DataTable.Msg
    | GotForceDirectedGraph ForceDirectedGraph.Msg
    | GotBarPlot BarPlot.Msg
    | GotLinePlot LinePlot.Msg
    